Survey
Service to fetch equipment configuration surveys
Retrieve the configuration survey for a specific equipment product.
Responses
200
Success
application/json
401
Unauthorized
403
Forbidden
404
Survey not found for product
get
/api/equipment/surveys/**GET /api/equipment/surveys/** HTTP/1.1
Host:
Accept: */*
{
"metadata": {
"exchangeId": "text",
"timeStamps": "text"
},
"questionAnswerGroup": {
"id": 1,
"questionAnswerSets": {
"ANY_ADDITIONAL_PROPERTY": [
{
"answers": [
{
"answer": "text",
"id": 1,
"selected": true
}
],
"children": "[Circular Reference]",
"conditionalOnAnswer": 1,
"id": 1,
"isHidden": true,
"question": "text",
"required": true,
"selectedAnswer": 1,
"sendToMerchantApp": true,
"tags": [
{
"group": "text",
"name": "text"
}
],
"type": "text"
}
]
},
"questionAreas": "text"
}
}Last updated
Was this helpful?

